Delete a Booking Event Template
DELETE
/businesses/{businessId}/notifications/booking-event-templates/{bookingEventTemplateId}
const url = 'https://api.upvio.com/v1/businesses/example/notifications/booking-event-templates/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.upvio.com/v1/businesses/example/notifications/booking-event-templates/example \ --header 'Authorization: Bearer <token>'Soft-delete a booking event notification template.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”businessId
required
The ID of the Business.
string
bookingEventTemplateId
required
The ID of the Booking Event Template.
string
Responses
Section titled “Responses”Confirmation of deletion.
The booking event template ID is malformed.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 400, "type": "BadRequestError", "title": "Invalid platformId format." }}The API key is missing or invalid, or the Business cannot be accessed with it.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 403, "type": "UnauthorizedError", "title": "Invalid API token" }}The booking event template does not exist.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 404, "type": "NotFoundError", "title": "Booking Event Template not found" }}